package com.artfess.bpm.chart;

import com.fasterxml.jackson.databind.node.ArrayNode;

import java.util.List;
import java.util.Map;

/**
 * 流程图标 接口
 * @company 广州宏天软件股份有限公司
 * @author qiuxd
 * @email qiuxida@jee-soft.cn
 * @date 2020.09.16
 */
public interface IChart {
    /**
     * 获取查询Sql
     */
    String getQuerySql(String flowType, String dimension, String ids, String orgIds, String startTime, String endTime, String orgType, String dbType);

    /**
     * 获取图表描述
     */
    String getDesc();

    /**
     * 获取legend
     */
    List<String> getLegend();

    /**
     * 获取图表的Series配置
     */
    ArrayNode getSeries(List<String> legend, List<Map<String, Object>> selectList, Map<String,String> map) throws Exception;
}
